import React from 'react';
import { v4 as uuidv4 } from 'uuid';
import { FormGroup, Label, Input } from 'reactstrap';

export default function DDLComponent({ config, onChange }) {
    const { title, value, props, isValid, dataTip, options } = config;
    return (
        <FormGroup className="dynamic-field-component">
            <Label for={props.name} data-tip={dataTip}>{title}</Label>
            <Input
                {...props}
                value={value}
                invalid={isValid === false}
                valid={isValid}
                onChange={onChange}
            >
                {options.map((option) =>
                    <option key={uuidv4()} value={option.value} disabled={option.disabled}> {option.text} </option>
                )}
            </Input>
        </FormGroup>);
}