import React from 'react';
import { FormGroup, Label, Input, FormFeedback } from 'reactstrap';

export default function InputComponent({ config, onChange }) {
    const { title, value, props, isValid, defaultErrMsg: errMsg, dataTip } = config;
    return (
        <FormGroup className="dynamic-field-component">
            <Label for={props && props.name} data-tip={dataTip}>{title}</Label>
            <Input
                {...props}
                placeholder={title}
                value={value || ''}
                invalid={isValid === false}
                valid={(isValid && value) ? true : false}
                onChange={onChange}
            />
            {(value && !isValid && errMsg) ? <FormFeedback className="dynamic-field-errMsg">{errMsg}</FormFeedback> : ''}
        </FormGroup>);
}